osgText::String Class Reference

`#include <String>`

Inheritance diagram for osgText::String:

## Public Types

enum | Encoding { ENCODING_UNDEFINED , ENCODING_ASCII = ENCODING_UNDEFINED , ENCODING_UTF8 , ENCODING_UTF16 , ENCODING_UTF16_BE , ENCODING_UTF16_LE , ENCODING_UTF32 , ENCODING_UTF32_BE , ENCODING_UTF32_LE , ENCODING_SIGNATURE , ENCODING_CURRENT_CODE_PAGE }
typedef VectorUInt | vector_type

## Public Member Functions

| String ()
| String (const String &str)
| String (const std::string &str)
| String (const wchar_t *text)
| String (const std::string &text, Encoding encoding)
String & | operator= (const String &str)
void | set (const std::string &str)
void | set (const wchar_t *text)
void | set (const std::string &text, Encoding encoding)
std::string | createUTF8EncodedString () const
Public Member Functions inherited from osgText::VectorUInt
| VectorUInt ()
| VectorUInt (const VectorUInt &copy)
| VectorUInt (unsigned int *beg, unsigned int *end)
| VectorUInt (unsigned int n)

## Member Typedef Documentation

## vector_type

typedef VectorUInt osgText::String::vector_type

## Member Enumeration Documentation

## Encoding

enum osgText::String::Encoding

Types of string encodings supported

Enumerator
ENCODING_UNDEFINED |
ENCODING_ASCII | not using Unicode
ENCODING_UTF8 | unsigned char ASCII
ENCODING_UTF16 | 8-bit unicode transformation format
ENCODING_UTF16_BE | 16-bit signature
ENCODING_UTF16_LE | 16-bit big-endian
ENCODING_UTF32 | 16-bit little-endian
ENCODING_UTF32_BE | 32-bit signature
ENCODING_UTF32_LE | 32-bit big-endian
ENCODING_SIGNATURE | 32-bit little-endian
ENCODING_CURRENT_CODE_PAGE | detect encoding from signature Use Windows Current Code Page ecoding

## Constructor & Destructor Documentation

## String() [1/5]

osgText::String::String | ( |  | ) |

inline

Referenced by operator=(), and String().

## String() [2/5]

osgText::String::String | ( | const String & | str | ) |

References String().

## String() [3/5]

osgText::String::String | ( | const std::string & | str | ) |

inline

References set().

## String() [4/5]

osgText::String::String | ( | const wchar_t * | text | ) |

inline

References set().

## String() [5/5]

osgText::String::String | ( | const std::string & | text,
|  | Encoding | encoding )

inline

References set().

## Member Function Documentation

## createUTF8EncodedString()

std::string osgText::String::createUTF8EncodedString | ( |  | ) | const

returns a UTF8 encoded version of this osgText::String.

## operator=()

String & osgText::String::operator= | ( | const String & | str | ) |

References String().

## set() [1/3]

void osgText::String::set | ( | const std::string & | str | ) |

Referenced by String(), String(), and String().

## set() [2/3]

void osgText::String::set | ( | const std::string & | text,
|  | Encoding | encoding )

Set the text using a Unicode encoded std::string, which is converted to an internal TextString. The encoding parameter specifies which Unicode encoding is used in the std::string.

## set() [3/3]

void osgText::String::set | ( | const wchar_t * | text | ) |

Set the text using a wchar_t string, which is converted to an internal TextString.

The documentation for this class was generated from the following file:

- String